Get Bank Account
curl --request GET \
--url https://api.prod.bastion.com/v2/issuance/bank-account/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/issuance/bank-account/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/issuance/bank-account/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/issuance/bank-account/{id}")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/issuance/bank-account/{id}")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/issuance/bank-account/{id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/issuance/bank-account/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/issuance/bank-account/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}Issuance
Get Bank Account
Get a bank account by ID
GET
/
v2
/
issuance
/
bank-account
/
{id}
Get Bank Account
curl --request GET \
--url https://api.prod.bastion.com/v2/issuance/bank-account/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/issuance/bank-account/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/issuance/bank-account/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/issuance/bank-account/{id}")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/issuance/bank-account/{id}")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/issuance/bank-account/{id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/issuance/bank-account/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/issuance/bank-account/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier for the bank account